**************************************************************************
**  Countries: Nigeria, Malawi, Ethiopia                        		**
**                                                              		**
**  DEscription: Figures 1-7 of the Aspirations paper    				**
**                                                              		**
**  Program first written: March 2024 (Valentina Costa) 				**
**************************************************************************

use "$pooled.dta", replace  

generate age_group1925=(age_group1922==1 |age_group2325==1)
 

** Figure 1 **
tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	
putexcel set "$folder\Output\Figures", sheet("Figure 1") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M) 



** Figure 2 **
tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat ideal_uniabove [aw=weights] if country==1 & age_group1925==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat ideal_uniabove [aw=weights] if country==2 & age_group1925==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat ideal_uniabove [aw=weights] if country==3 & age_group1925==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'

putexcel set "$folder\Output\Figures", sheet("Figure 2") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M) 


** Figure 3 **
tabstat stem_job [aw=weights] if country==1 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat stem_job [aw=weights] if country==2 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat stem_job [aw=weights] if country==3 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat stem_job [aw=weights] if country==1 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat stem_job [aw=weights] if country==2 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat stem_job [aw=weights] if country==3 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat stem_job [aw=weights] if country==1 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat stem_job [aw=weights] if country==2 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat stem_job [aw=weights] if country==3 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	
putexcel set "$folder\Output\Figures", sheet("Figure 3") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M)


** Figure 4 ** 
tabstat stem_job [aw=weights] if country==1 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat stem_job [aw=weights] if country==2 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat stem_job [aw=weights] if country==3 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat stem_job [aw=weights] if country==1 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat stem_job [aw=weights] if country==2 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat stem_job [aw=weights] if country==3 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat stem_job [aw=weights] if country==1 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat stem_job [aw=weights] if country==2 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat stem_job [aw=weights] if country==3 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	
putexcel set "$folder\Output\Figures", sheet("Figure 4") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M)


* Figure 5*
tabstat migration [aw=weights] if country==1 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat migration [aw=weights] if country==2 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat migration [aw=weights] if country==3 & age_group2325==0 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat migration [aw=weights] if country==1 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat migration [aw=weights] if country==2 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat migration [aw=weights] if country==3 & age_group2325==0 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat migration [aw=weights] if country==1 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat migration [aw=weights] if country==2 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat migration [aw=weights] if country==3 & age_group2325==0 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	

putexcel set "$folder\Output\Figures", sheet("Figure 5") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M) 


* Figure 6 *
tabstat migration [aw=weights] if country==1 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat migration [aw=weights] if country==2 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat migration [aw=weights] if country==3 & age_group2325==1 & neitherw_s==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat migration [aw=weights] if country==1 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat migration [aw=weights] if country==2 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat migration [aw=weights] if country==3 & age_group2325==1 & attending_schoolt==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat migration [aw=weights] if country==1 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat migration [aw=weights] if country==2 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat migration [aw=weights] if country==3 & age_group2325==1 & working==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	

putexcel set "$folder\Output\Figures", sheet("Figure 6") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) G5=mat(K) G6=mat(L) G7=mat(M)


* Figure 7*
tabstat s5eq37__1 [aw=weights] if country==1 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat s5eq37__1 [aw=weights] if country==2 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat s5eq37__1 [aw=weights] if country==3 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat s5eq37__2 [aw=weights] if country==1 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat s5eq37__2 [aw=weights] if country==2 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat s5eq37__2 [aw=weights] if country==3 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat s5eq37__3 [aw=weights] if country==1 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat s5eq37__3 [aw=weights] if country==2 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat s5eq37__3 [aw=weights] if country==3 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	
tabstat s5eq37__4 [aw=weights] if country==1 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat A
	mat A=A'
tabstat s5eq37__4 [aw=weights] if country==2 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat B
	mat B=B'
tabstat s5eq37__4 [aw=weights] if country==3 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat C
	mat C=C'
	
tabstat s5eq37__5 [aw=weights] if country==1 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat T
	mat T=T'
tabstat s5eq37__5 [aw=weights] if country==2 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat X
	mat X=X'
tabstat s5eq37__5 [aw=weights] if country==3 & age_group2325==0 & migration==1, by(female) stat(mean) save nototal
	tabstatmat Z
	mat Z=Z'
	
putexcel set "$folder\Output\Figures", sheet("Figure 7") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) I5=mat(K) I6=mat(L) I7=mat(M) G5=mat(A) G6=mat(B) G7=mat(C) K5=mat(T) K6=mat(X) K7=mat(Z)


* Figure 8 *
tabstat s5eq37__1 [aw=weights] if country==1 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat Q
	mat Q=Q'
tabstat s5eq37__1 [aw=weights] if country==2 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat R
	mat R=R'
tabstat s5eq37__1 [aw=weights] if country==3 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat S
	mat S=S'
	
tabstat s5eq37__2 [aw=weights] if country==1 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat D
	mat D=D'
tabstat s5eq37__2 [aw=weights] if country==2 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat E
	mat E=E'
tabstat s5eq37__2 [aw=weights] if country==3 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat F
	mat F=F'

tabstat s5eq37__3 [aw=weights] if country==1 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat K
	mat K=K'
tabstat s5eq37__3 [aw=weights] if country==2 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat L
	mat L=L'
tabstat s5eq37__3 [aw=weights] if country==3 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat M
	mat M=M'
	
tabstat s5eq37__4 [aw=weights] if country==1 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat A
	mat A=A'
tabstat s5eq37__4 [aw=weights] if country==2 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat B
	mat B=B'
tabstat s5eq37__4 [aw=weights] if country==3 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat C
	mat C=C'
	
tabstat s5eq37__5 [aw=weights] if country==1 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat T
	mat T=T'
tabstat s5eq37__5 [aw=weights] if country==2 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat X
	mat X=X'
tabstat s5eq37__5 [aw=weights] if country==3 & age_group2325==1 & migration==1, by(female) stat(mean) save nototal
	tabstatmat Z
	mat Z=Z'
	
putexcel set "$folder\Output\Figures", sheet("Figure 8") modify
putexcel C5=mat(Q) C6=mat(R) C7=mat(S) E5=mat(D) E6=mat(E) E7=mat(F) I5=mat(K) I6=mat(L) I7=mat(M) G5=mat(A) G6=mat(B) G7=mat(C) K5=mat(T) K6=mat(X) K7=mat(Z)



* T-test of difference between men and women *

* Figure 1 *
ttest ideal_uniabove if country==1 & age_group1925==1 & neitherw_s==1, by(female)  
ttest ideal_uniabove if country==1 & age_group1925==1 & attending_schoolt==1, by(female)  
ttest ideal_uniabove if country==1 & age_group1925==1 & working==1, by(female) 

ttest ideal_uniabove if country==2 & age_group1925==1 & neitherw_s==1, by(female) 
ttest ideal_uniabove if country==2 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if country==2 & age_group1925==1 & working==1, by(female) 

ttest ideal_uniabove if country==3 & age_group1925==1 & neitherw_s==1, by(female)
ttest ideal_uniabove if country==3 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if country==3 & age_group1925==1 & working==1, by(female) 

ttest ideal_uniabove if age_group1925==1 & neitherw_s==1, by(female)
ttest ideal_uniabove if age_group1925==1 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if age_group1925==1 & working==1, by(female) 

* Figure 2 *
ttest ideal_uniabove if country==1 & age_group1925==0 & neitherw_s==1, by(female)  
ttest ideal_uniabove if country==1 & age_group1925==0 & attending_schoolt==1, by(female)  
ttest ideal_uniabove if country==1 & age_group1925==0 & working==1, by(female) 

ttest ideal_uniabove if country==2 & age_group1925==0 & neitherw_s==1, by(female) 
ttest ideal_uniabove if country==2 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if country==2 & age_group1925==0 & working==1, by(female) 

ttest ideal_uniabove if country==3 & age_group1925==0 & neitherw_s==1, by(female)
ttest ideal_uniabove if country==3 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if country==3 & age_group1925==0 & working==1, by(female) 

ttest ideal_uniabove if age_group1925==0 & neitherw_s==1, by(female)
ttest ideal_uniabove if age_group1925==0 & attending_schoolt==1, by(female) 
ttest ideal_uniabove if age_group1925==0 & working==1, by(female) 

* Figure 3 *
ttest stem_job if country==1 & age_group1925==0 & neitherw_s==1, by(female)  
ttest stem_job if country==1 & age_group1925==0 & attending_schoolt==1, by(female)  
ttest stem_job if country==1 & age_group1925==0 & working==1, by(female) 

ttest stem_job if country==2 & age_group1925==0 & neitherw_s==1, by(female) 
ttest stem_job if country==2 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest stem_job if country==2 & age_group1925==0 & working==1, by(female) 

ttest stem_job if country==3 & age_group1925==0 & neitherw_s==1, by(female)
ttest stem_job if country==3 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest stem_job if country==3 & age_group1925==0 & working==1, by(female) 

ttest stem_job if age_group1925==0 & neitherw_s==1, by(female)
ttest stem_job if age_group1925==0 & attending_schoolt==1, by(female) 
ttest stem_job if age_group1925==0 & working==1, by(female) 

* Figure 4 *
ttest stem_job if country==1 & age_group1925==1 & neitherw_s==1, by(female)  
ttest stem_job if country==1 & age_group1925==1 & attending_schoolt==1, by(female)  
ttest stem_job if country==1 & age_group1925==1 & working==1, by(female) 

ttest stem_job if country==2 & age_group1925==1 & neitherw_s==1, by(female) 
ttest stem_job if country==2 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest stem_job if country==2 & age_group1925==1 & working==1, by(female) 

ttest stem_job if country==3 & age_group1925==1 & neitherw_s==1, by(female)
ttest stem_job if country==3 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest stem_job if country==3 & age_group1925==1 & working==1, by(female) 

ttest stem_job if age_group1925==1 & neitherw_s==1, by(female)
ttest stem_job if age_group1925==1 & attending_schoolt==1, by(female) 
ttest stem_job if age_group1925==1 & working==1, by(female) 

* Figure 5 *
ttest migration if country==1 & age_group1925==0 & neitherw_s==1, by(female)  
ttest migration if country==1 & age_group1925==0 & attending_schoolt==1, by(female)  
ttest migration if country==1 & age_group1925==0 & working==1, by(female) 

ttest migration if country==2 & age_group1925==0 & neitherw_s==1, by(female) 
ttest migration if country==2 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest migration if country==2 & age_group1925==0 & working==1, by(female) 

ttest migration if country==3 & age_group1925==0 & neitherw_s==1, by(female)
ttest migration if country==3 & age_group1925==0 & attending_schoolt==1, by(female) 
ttest migration if country==3 & age_group1925==0 & working==1, by(female) 

ttest migration if age_group1925==0 & neitherw_s==1, by(female)
ttest migration if age_group1925==0 & attending_schoolt==1, by(female) 
ttest migration if age_group1925==0 & working==1, by(female) 
 
* Figure 6 *
ttest migration if country==1 & age_group1925==1 & neitherw_s==1, by(female)  
ttest migration if country==1 & age_group1925==1 & attending_schoolt==1, by(female)  
ttest migration if country==1 & age_group1925==1 & working==1, by(female) 

ttest migration if country==2 & age_group1925==1 & neitherw_s==1, by(female) 
ttest migration if country==2 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest migration if country==2 & age_group1925==1 & working==1, by(female) 

ttest migration if country==3 & age_group1925==1 & neitherw_s==1, by(female)
ttest migration if country==3 & age_group1925==1 & attending_schoolt==1, by(female) 
ttest migration if country==3 & age_group1925==1 & working==1, by(female) 

ttest migration if age_group1925==1 & neitherw_s==1, by(female)
ttest migration if age_group1925==1 & attending_schoolt==1, by(female) 
ttest migration if age_group1925==1 & working==1, by(female) 
 
